## jkmeter 0.4.0

=== source/Makefile ===
#  Copyright (C) 2008 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
SHARED = $(PREFIX)/share
PROGRAM = jkmeter
VERSION = 0.4.0
DISTDIR = jkmeter-$(VERSION)
CPPFLAGS += -O3 -Wall -MMD -MP -DPROGRAM=\"$(PROGRAM)\" -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
#CPPFLAGS += -march=pentium4


all:	jkmeter


JKMETER_O = jkmeter.o styles.o mainwin.o jclient.o mkimage.o kmeter.o cmeter.o \
            kmeterdsp.o stcorrdsp.o

jkmeter:	CPPFLAGS += -ffast-math -I/usr/include/freetype2
jkmeter:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
jkmeter:	LDFLAGS += -L/usr/X11R6/lib
jkmeter:	$(JKMETER_O)
	g++ $(LDFLAGS) -o $@ $(JKMETER_O) $(LDLIBS)

$(JKMETER_O):
-include $(JKMETER_O:%.o=%.d)


install:	all
	/usr/bin/install -d $(PREFIX)/bin
	/usr/bin/install -m 755 jkmeter $(PREFIX)/bin
	/usr/bin/install -d $(SHARED)/jkmeter
	/usr/bin/install -m 644 ../share/* $(SHARED)/jkmeter

clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jkmeter


tarball:
	cd ../..; \
	/bin/rm -f -r $(DISTDIR); \
	svn export jkmeter $(DISTDIR); \
	tar cvjf $(DISTDIR).tar.bz2 $(DISTDIR); \
	/bin/rm -f -r $(DISTDIR);

=== debian/changelog ===
jkmeter (0.4.0-3) unstable; urgency=low

  * Pass -pthread flag to the linker to fix FTBFS with binutils-gold.
  * Improve patch description.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Dec 2010 01:22:25 +0100

jkmeter (0.4.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt).
  * Add debian/gbp.conf file.
  * Build-depends on libsndfile1-dev (Closes: #591890).
  * Bump Standards.
  * debian/rules: Cleanup.

 -- Alessio Treglia <alessio@debian.org>  Fri, 06 Aug 2010 11:48:05 +0200

jkmeter (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #520053)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 07 May 2010 23:45:37 +0200

=== debian/control ===
Source: jkmeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 binutils,
 libclthreads-dev (>= 2.2.1),
 libclxclient-dev (>= 3.6.1),
 libjack-dev,
 libsndfile1-dev,
 libpng12-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jkmeter.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jkmeter.git
Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html

Package: jkmeter
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: horizontal or vertical bargraph audio level meter for Jack Audio Connection Kit
 A jkmeter displays both the true RMS level and the
 digital peak level.
 But can display stereo correlation too.
 .
 Jkmeter is based on the ideas of mastering guru Bob Katz.
 See <http://www.digido.com/bob-katz/index.php> and
 follow the links on 'level practices'.
 This is the type of meter you want for live recording,
 mixing and mastering

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh --sourcedir=source $@

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/jkmeter/usr/share/applications
	install -d $(CURDIR)/debian/jkmeter/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/jkmeter.desktop $(CURDIR)/debian/jkmeter/usr/share/applications
	install -m 644 $(CURDIR)/debian/jkmeter32x32.xpm $(CURDIR)/debian/jkmeter/usr/share/pixmaps/

=== debian/watch ===
version=3

http://www.kokkinizita.net/linuxaudio/downloads/index.html jkmeter-(.*)\.tar\.bz2

## jkmeter 0.6.1

=== source/Makefile ===
# -------------------------------------------------------------------------
#
#  Copyright (C) 2008 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# -------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
BINDIR = $(PREFIX)/bin
SHARED = $(PREFIX)/share/jkmeter
VERSION = 0.6.1
CPPFLAGS += -O2 -ffast-math -Wall -MMD -MP  -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CPPFLAGS += -march=native


all:	jkmeter


JKMETER_O = jkmeter.o styles.o mainwin.o jclient.o png2img.o kmeter.o cmeter.o \
            kmeterdsp.o stcorrdsp.o

jkmeter:	CPPFLAGS += -ffast-math -I/usr/include/freetype2
jkmeter:	LDLIBS += -lclxclient -lclthreads -ljack -lpng -lXft -lX11 -lrt
jkmeter:	LDFLAGS += -L/usr/X11R6/lib
jkmeter:	LDFLAGS += -pthread
jkmeter:	$(JKMETER_O)
	g++ $(LDFLAGS) -o $@ $(JKMETER_O) $(LDLIBS)

$(JKMETER_O):
-include $(JKMETER_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 jkmeter $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/jkmeter
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jkmeter

=== debian/changelog ===
jkmeter (0.6.1-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.1.0.
    + Use HTTPS in the Format field of d/copyright.
  * Fix cross build failure.  Closes: #873601
    + Drop implicitly satisfied build dependency on binutils.
    + Make g++ substitutable in source/Makefile.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 29 Aug 2017 14:57:31 +0200

jkmeter (0.6.1-4) unstable; urgency=medium

  [ Alessio Treglia ]
  * Remove myself from the Uploaders field.

  [ Jaromír Mikeš ]
  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Avoid useless linking.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 20:58:40 +0100

jkmeter (0.6.1-3) unstable; urgency=low

  * Set dh/compat 9.
  * Tighten build-dep on libclxclient.
  * Tighten build-dep on libclthreads.
  * Removed DMUA.
  * Bump standards.
  * Fix VCS canonical URLs.
  * Added Keywords entry to desktop file.
  * Don't sign tags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Aug 2013 00:49:38 +0200

jkmeter (0.6.1-2) unstable; urgency=low

  * Updated copyright file to format 1.0.
  * Bump Standards to 3.9.3
  * Change build-dependency from libpng12-dev to libpng-dev (Closes: #662383).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Apr 2012 01:00:55 +0200

jkmeter (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 03 Aug 2011 02:55:16 +0200

jkmeter (0.4.0-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Add DM-Upload-Allowed.
  * Update debian/watch file.
  * Bump Standards.
  * Fix Homepage field (Closes: #629378).
  * Fix gbp.config file.

  [ Jaromír Mikeš ]
  * Added local-option file
  * Fix FTBFS with libpng 1.5 (Closes: #635948).
   - thanks to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
  * Added menu file
  * Updated copyright file to rev. 174

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 31 Jul 2011 12:27:40 +0200

=== debian/control ===
Source: jkmeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libjack-dev,
 libpng-dev,
 libsndfile1-dev
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/jkmeter.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/jkmeter.git
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

Package: jkmeter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: horizontal or vertical bargraph audio level meter for Jack Audio Connection Kit
 A jkmeter displays both the true RMS level and the
 digital peak level.
 But can display stereo correlation too.
 .
 Jkmeter is based on the ideas of mastering guru Bob Katz.
 See <http://www.digido.com/bob-katz/index.php> and
 follow the links on 'level practices'.
 This is the type of meter you want for live recording,
 mixing and mastering

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export LDLIBS += -Wl,--as-needed

%:
	dh $@ --sourcedir=source

override_dh_installchangelogs:
	dh_installchangelogs README

override_dh_auto_install:
	dh_auto_install
	install -d $(CURDIR)/debian/jkmeter/usr/share/applications/
	install -d $(CURDIR)/debian/jkmeter/usr/share/pixmaps/
	install -m 644 $(CURDIR)/debian/jkmeter.desktop $(CURDIR)/debian/jkmeter/usr/share/applications/
	install -m 644 $(CURDIR)/debian/jkmeter32x32.xpm $(CURDIR)/debian/jkmeter/usr/share/pixmaps/

=== debian/watch ===
version=3

http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jkmeter-(.*)\.tar\.bz2

## jkmeter 0.6.5

=== source/Makefile ===
# -----------------------------------------------------------------------------
#
#  Copyright (C) 2008-2018 Fons Adriaensen <fons@linuxaudio.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
SHARED ?= $(PREFIX)/share/jkmeter


VERSION = 0.6.5
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
CXXFLAGS += -O2 -ffast-math -Wall
CXXFLAGS += -march=native


all:	jkmeter


JKMETER_O = jkmeter.o styles.o mainwin.o jclient.o png2img.o kmeter.o cmeter.o \
            kmeterdsp.o stcorrdsp.o

jkmeter:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
jkmeter:	LDLIBS += -lclxclient -lclthreads -ljack -lpthread -lpng -lXft -lX11 -lrt
jkmeter:	LDFLAGS += -pthread
jkmeter:	$(JKMETER_O)
	$(CXX) $(LDFLAGS) -o $@ $(JKMETER_O) $(LDLIBS)

$(JKMETER_O):
-include $(JKMETER_O:%.o=%.d)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(SHARED)
	install -m 755 jkmeter $(DESTDIR)$(BINDIR)
	rm -rf $(DESTDIR)$(SHARED)/*
	install -m 644 ../share/* $(DESTDIR)$(SHARED)


uninstall:
	rm -f  $(DESTDIR)$(BINDIR)/jkmeter
	rm -rf $(DESTDIR)$(SHARED)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f jkmeter

=== debian/changelog ===
jkmeter (0.6.5-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:38 +0100

jkmeter (0.6.5-2) unstable; urgency=medium

  * Team upload.
  * debian/patches: Fix patches to not remove definition of SHARED and VERSION
  * debian/control: Set RRR: no

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 Jan 2020 20:18:15 +0100

jkmeter (0.6.5-1) unstable; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org .

  [ Ondřej Nový ]
  * d/control: set Vcs-* to salsa.debian.org
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * d/jkmeter.desktop: add a French translation to the menu item.
  * d/copyright: add myself in the debian section.
  * Update d/control and d/watch with http > https

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Add libfreetype6-dev and pkg-config to B-D
  * Update d/copyright and add myself
  * d/docs: Drop, otherwise README is installed twice
  * d/jkmeter.manpages: Fix path
  * d/patches: Update patchset
    + Update 01-makefile.patch
    + Drop 03-makefile.patch, obsolete
    + Add 04-fix_various_build_issues.patch
  * d/source/local-options: Drop, obsolete

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 24 Jan 2020 18:18:28 +0100

=== debian/control ===
Source: jkmeter
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 libclthreads-dev (>= 2.4.0),
 libclxclient-dev (>= 3.9.0),
 libfreetype6-dev,
 libjack-dev,
 libpng-dev,
 libsndfile1-dev,
 pkg-config
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/jkmeter.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/jkmeter
Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html
Rules-Requires-Root: no

Package: jkmeter
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: horizontal or vertical bargraph audio level meter for Jack Audio Connection Kit
 A jkmeter displays both the true RMS level and the
 digital peak level.
 But can display stereo correlation too.
 .
 Jkmeter is based on the ideas of mastering guru Bob Katz.
 See <https://www.digido.com/bob-katz/index.php> and
 follow the links on 'level practices'.
 This is the type of meter you want for live recording,
 mixing and mastering

=== debian/watch ===
version=3

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jkmeter-(.*)\.tar\.bz2

## jkmeter 0.8.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # -----------------------------------------------------------------------------
 #
-#  Copyright (C) 2008-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2008-2020 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -23,7 +23,7 @@
 SHARED ?= $(PREFIX)/share/jkmeter
 
 
-VERSION = 0.6.5
+VERSION = 0.8.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -ffast-math -Wall
 CXXFLAGS += -march=native
@@ -35,7 +35,7 @@
 JKMETER_O = jkmeter.o styles.o mainwin.o jclient.o png2img.o kmeter.o cmeter.o \
             kmeterdsp.o stcorrdsp.o
 
-jkmeter:	CPPFLAGS += $(shell pkgconf --cflags freetype2)
+jkmeter:	CPPFLAGS += $(shell pkg-config --cflags freetype2)
 jkmeter:	LDLIBS += -lclxclient -lclthreads -ljack -lpthread -lpng -lXft -lX11 -lrt
 jkmeter:	LDFLAGS += -pthread
 jkmeter:	$(JKMETER_O)

=== debian/changelog ===
jkmeter (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * FTCBFS: Proper handling of pkg-config (Closes: #949819)
  * Provide a bigger icon
  * Add an install file
  * Refresh d/rules
  * Bump dh-compat to 13
  * Add me as uploader
  * Fix the manpage installation
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 29 Jul 2020 22:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libclthreads-dev (>= 2.4.0),
  libclxclient-dev (>= 3.9.0),
  libfreetype6-dev,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PKG_CONF ?= $(PKG_CONFIG)
export PREFIX ?= /usr

include /usr/share/dpkg/buildtools.mk

%:
	dh $@ -Dsource
	
override_dh_installchangelogs:
	dh_installchangelogs README

## jkmeter 0.9.0

=== source/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 SHARED ?= $(PREFIX)/share/jkmeter
 
 
-VERSION = 0.8.0
+VERSION = 0.9.0
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -DSHARED=\"$(SHARED)\"
 CXXFLAGS += -O2 -ffast-math -Wall
 CXXFLAGS += -march=native

=== debian/changelog ===
jkmeter (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * Bump Standards-Version to 4.6.0
  * Update d/copyright years
  * Refresh patchset

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 23:31:42 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpng-dev,
  libsndfile1-dev,
  pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/jkmeter.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/jkmeter
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html

=== debian/watch ===
version=4

https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	jkmeter-(.*)\.tar\.bz2
